ORIGIN		= Symantec Caf
ORIGIN_VER	= Version 7.22
VERSION		= DEBUG

!IFDEF SUB_DEBUG
DEBUG		= $(SUB_DEBUG)
NDEBUG		= !$(SUB_DEBUG)
!ELSE
DEBUG		= 1
NDEBUG		= 0
!ENDIF

PROJ		= dsig
APPTYPE		= JAVA CONSOLE
PROJTYPE	= class

JAVAC		= sj
MAKE		= SMAKE
LNK		= LINK


HEADERS		= 
!IF $(DEBUG)
OUTPUTDIR	= .
CREATEOUTPUTDIR	=
TARGETDIR	= .
CREATETARGETDIR	=

CFLAGS		=  -g 
DEFINES		= 
!ELSE
OUTPUTDIR	= .
CREATEOUTPUTDIR	=
TARGETDIR	= .
CREATETARGETDIR	=

CFLAGS		=  -O 
DEFINES		= 
!ENDIF

MFLAGS		= MASTERPROJ=$(PROJ) 
DEBUGGERFLAGS	=  
PAR		= PROJS BATS SRCS

INCLUDES	= -classpath .;C:\JAVA\CAFE\BIN\..\JAVA\LIB\CLASSES.ZIP;C:\JAVA\CAFE\BIN\..\JAVA\LIB\SYMCLASS.ZIP;C:\Java\IFC\ifc10\classes;c:\java\projects\dsig\src;



SRCS		= ..\src\w3c\util\ArrayDictionary.java ..\src\w3c\util\ArrayEnumeration.java ..\src\w3c\util\AsyncLRUList.java  \
		..\src\w3c\dsig\sigblock\AttribInfo.java ..\src\w3c\tools\codec\Base64Decoder.java ..\src\w3c\tools\codec\Base64Encoder.java ..\src\w3c\tools\codec\Base64FormatException.java  \
		..\src\w3c\tools\forms\BooleanField.java ..\src\w3c\tools\sexpr\Cons.java ..\src\w3c\tools\forms\DateField.java ..\src\w3c\tools\forms\DoubleField.java  \
		..\src\w3c\tools\sexpr\DoubleFix.java ..\src\w3c\dsig\provider\dsigDSAKeyPairGenerator.java ..\src\w3c\dsig\provider\dsigDSAPrivateKey.java ..\src\w3c\dsig\provider\dsigDSAPublicKey.java  \
		..\src\w3c\tools\dbm\FastByteArrayOutputStream.java ..\src\w3c\tools\forms\FileField.java ..\src\w3c\tools\forms\Form.java ..\src\w3c\tools\forms\FormField.java  \
		..\src\w3c\tools\forms\FormHandlerInterface.java ..\src\w3c\tools\forms\FormManager.java ..\src\w3c\tools\forms\FormPanel.java ..\src\iaik\dsig\provider\IAIK.java  \
		..\src\w3c\tools\forms\IllegalFieldValueException.java ..\src\w3c\tools\forms\IntegerField.java ..\src\w3c\tools\dbm\jdbm.java ..\src\w3c\tools\dbm\jdbmBucket.java  \
		..\src\w3c\tools\dbm\jdbmBucketElement.java ..\src\w3c\tools\dbm\jdbmEnumerator.java ..\src\w3c\dsig\sigblock\KeyHolder.java ..\src\w3c\util\LRUAble.java  \
		..\src\w3c\util\LRUList.java ..\src\w3c\util\LRUNode.java ..\src\w3c\www\pics\Mapper.java ..\src\w3c\dsig\provider\MD5.java  \
		..\src\iaik\dsig\provider\MD5RSA.java ..\src\w3c\www\pics\MultipleValueAccessException.java ..\src\w3c\dsig\provider\NotImplementedException.java ..\src\iaik\dsig\provider\NotImplementedException.java  \
		..\src\w3c\tools\forms\OptionField.java ..\src\w3c\www\pics\PICS.java ..\src\w3c\www\pics\PICSLabel.java ..\src\w3c\www\pics\PICSParser.java  \
		..\src\w3c\www\pics\PICSParserException.java ..\src\w3c\www\pics\PropertySet.java ..\src\w3c\www\pics\PushbackEnumeration.java ..\src\w3c\tools\forms\RangedIntegerField.java  \
		..\src\w3c\www\pics\RatingValue.java ..\src\w3c\tools\sexpr\Readtable.java ..\src\w3c\tools\sexpr\SExpr.java ..\src\w3c\tools\sexpr\SExprParser.java  \
		..\src\w3c\tools\sexpr\SExprParserException.java ..\src\w3c\tools\sexpr\SExprStream.java ..\src\w3c\dsig\provider\SHA.java ..\src\w3c\dsig\provider\SHADSA.java  \
		..\src\iaik\dsig\provider\SHARSA.java ..\src\w3c\dsig\sigblock\SigBlock.java ..\src\w3c\dsig\sigblock\SigData.java ..\src\w3c\dsig\sigblock\SigInfo.java  \
		..\src\w3c\tools\sexpr\SimpleReadtable.java ..\src\w3c\tools\sexpr\SimpleSExprStream.java ..\src\w3c\tools\sorter\Sorter.java ..\src\w3c\tools\forms\StringField.java  \
		..\src\w3c\www\pics\StringToDate.java ..\src\w3c\www\pics\StringToURL.java ..\src\w3c\tools\sexpr\Symbol.java ..\src\w3c\www\pics\SymbolToBoolean.java  \
		..\src\w3c\util\SyncLRUList.java ..\src\w3c\util\TimeFormatter.java ..\src\w3c\www\pics\UserOptionValue.java ..\src\w3c\dsig\test\VerifySunProvider.java  \
		..\src\w3c\dsig\provider\W3C.java ..\src\w3c\dsig\sigblock\SigCert.java ..\src\w3c\dsig\sigblock\dsigDSAPublicKeyExtensions.java ..\src\w3c\dsig\sigblock\dsigSignatureExtensions.java  \
		..\src\w3c\dsig\provider\testdsig.java 

BATS		= 

.SUFFIXES: .JAVA .CLASS 

.JAVA.CLASS:
	$(JAVAC) $(CFLAGS) $(INCLUDES) $*.java



all:	noteout createdir $(PRECOMPILE) compall $(POSTCOMPILE) _done


all2:	createdir $(PRECOMPILE) compall $(POSTCOMPILE) _done


all3:	createdir $(PRECOMPILE) compall2 $(POSTCOMPILE) _done


compall:	$(OBJS)
	$(JAVAC) $(CFLAGS) $(INCLUDES) -make -cdb $(PROJ).cdb @<<
	$(SRCS)
<<


compall2:	$(OBJS)
	$(JAVAC) $(CFLAGS) $(INCLUDES) -cdb $(PROJ).cdb @<<
	$(SRCS)
<<

noteout:
	REM Output to $(OUTPUTDIR)

createdir:
	$(CREATEOUTPUTDIR)
	$(CREATETARGETDIR)
	
_done:
		REM  Project is up to date

buildall:	clean	all3


clean:
		-del $(TARGETDIR)\$$SCW$$.$(PROJTYPE)
		-del $(TARGETDIR)\$(PROJ).CLE
		-del dsig.dpd
		-del $(OBJS)




