// ReturnedValues.java
// by Yang-hua Chu
// last update: 10/11/96

package w3c.pics.referee;

import java.io.* ;
import java.net.*;
import java.util.*;

import w3c.pics.util.*;

public class Statement extends SExp {
  
  public Statement()
  {
    this.ttype = SEXP_SEXP;
    addSExp(new SExp(SEXP_SEXP));
    addSExp(new SExp(SEXP_SEXP));
  }

  public Statement(String context, SExp content)
  {
    this();
    prependContext(context);
    setContent(content);
  }    

  public SExp getContext()
  {
    return this.getSExp(1);
  }

  public SExp getContent()
  {
    return this.getSExp(2);
  }

  public void prependContext(String s)
  {
    getContext().prependSExp(new SExp(this.SEXP_STRING, s));
  }
      
  public void setContext(SExp exp)
  {
    this.setSExp(1, exp);
  }

  public void setContent(SExp exp)
  {
    this.setSExp(2, exp);
  }

  public String toString()
  {
    return super.toString();
  }
}
